Skip to main content
GET
/
v1
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
actions
/
action
/
{actionId}
/
calls
/
call
/
{executionId}
Get details for single Web3 Action execution
curl --request GET \
  --url https://api.tenderly.co/api/v1/account/{accountSlug}/project/{projectSlug}/actions/action/{actionId}/calls/call/{executionId} \
  --header 'X-Access-Key: <api-key>'
{
  "id": "4010f442-c4d9-407d-aba1-7276e3312998",
  "actionId": "0f55690d-0894-4173-9714-10cc0404e09a",
  "versionId": "7052c8f8-ddc5-4c05-82c0-d69e223e0d65",
  "createdAt": "2022-12-02T10:06:02.649431Z",
  "type": "AUTOMATIC",
  "status": "SUCCEEDED",
  "statusUpdatedAt": "2022-12-02T10:06:02.815476Z",
  "payload": {
    "type": "block",
    "block": {
      "network": "1",
      "blockNumber": 16096415,
      "blockHash": "0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7",
      "blockDifficulty": "0",
      "totalDifficulty": "58750003716598352816469"
    }
  },
  "storageType": "WRITE",
  "storageId": "1830efff-aa75-481e-b464-cedaf8b90960",
  "memory": 67,
  "time": 76,
  "parsedLogs": {
    "lines": [
      {
        "time": "2022-12-02T10:06:02.747Z",
        "severity": "INFO",
        "message": "DefaultBlockEvent {\n  network: '1',\n  blockHash: '0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7',\n  blockNumber: 16096415,\n  blockDifficulty: '0',\n  totalDifficulty: '58750003716598352816469'\n}"
      },
      {
        "time": "2022-12-02T10:06:02.747Z",
        "severity": "INFO",
        "message": "blockEvent"
      }
    ]
  },
  "parsedError": null
}

Authorizations

X-Access-Key
string
header
required

An API key is a token that a client provides when making API calls. The key can be sent as a request header:

curl 'https://api.tenderly.co/api/v1/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulate' \
  -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
  ...

Learn how to generate API access tokens at Tenderly Docs.

Path Parameters

accountSlug
string
required

Account slug of the user

projectSlug
string
required

Project slug of the account

actionId
string
required

Web3 Action Id to get info for

executionId
string
required

Web3 Action execution Id to get info for

Response

A successful response.

id
string
required

ID of the Web3 Action execution.

Example:

"4010f442-c4d9-407d-aba1-7276e3312998"

actionId
string
required

ID of the Web3 Action connected to this execution.

Example:

"0f55690d-0894-4173-9714-10cc0404e09a"

versionId
string
required

ID of the Web3 Action version connected to this execution.

Example:

"7052c8f8-ddc5-4c05-82c0-d69e223e0d65"

createdAt
string
required

When Web3 Action execution is created.

Example:

"2022-12-02T10:06:02.649431Z"

type
enum<string>
required

Web3 Action execution type.

Available options:
AUTOMATIC,
MANUAL,
RERUN
Example:

"AUTOMATIC"

status
enum<string>
required

Web3 Action execution status.

Available options:
ENABLED,
DISABLED,
SUCCEEDED,
SUBMITTED,
SKIPPED,
FAILED,
PENDING,
RETRY,
TIMED_OUT,
RATE_LIMITED
Example:

"SUCCEEDED"

statusUpdatedAt
string
required

When Web3 Action execution status is updated.

Example:

"2022-12-02T10:06:02.815476Z"

payload
payload · object
required

Web3 Action execution payload.

Example:
{
  "type": "block",
  "block": {
    "network": "1",
    "blockNumber": 16096415,
    "blockHash": "0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7",
    "blockDifficulty": "0",
    "totalDifficulty": "58750003716598352816469"
  }
}
storageType
enum<string>
required

A storage type used to store Web3 Action execution.

Available options:
COPY_ON_WRITE,
WRITE,
EMPTY
Example:

"WRITE"

storageId
string
required

A storage Id used to store Web3 Action execution.

Example:

"1830efff-aa75-481e-b464-cedaf8b90960"

memory
number
required

Web3 Action execution memory in bytes.

Example:

67

time
number
required

Web3 Action execution time in milliseconds.

Example:

76

parsedLogs
parsedLogs · object

Parsed logs for Web3 Action execution

Example:
{
  "lines": [
    {
      "time": "2022-12-02T10:06:02.747Z",
      "severity": "INFO",
      "message": "DefaultBlockEvent {\n  network: '1',\n  blockHash: '0xdf6b1f2eb10513cd8f0d9716c07daa4a67de0ecd8a23de28d8b146ceb78eb7f7',\n  blockNumber: 16096415,\n  blockDifficulty: '0',\n  totalDifficulty: '58750003716598352816469'\n}"
    },
    {
      "time": "2022-12-02T10:06:02.747Z",
      "severity": "INFO",
      "message": "blockEvent"
    }
  ]
}
parsedError
parsedError · object

Parsed errors for Web3 Action execution

Example:
{
  "name": "Error",
  "message": "Error in action execution",
  "stacktrace": "Error: Error in action execution\n    at actionFn (/opt/src/implementation.js:4:11)\n    at DefaultActionExecutor.execute (/opt/nodejs/executor.js:11:15)\n    at Runtime.exports.handler (/var/task/index.js:5:47)\n    at Runtime.handleOnce (/var/runtime/Runtime.js:66:25)"
}